from django.urls import path
from .views import (
    HomeView, 
    PlaceDetailView, 
    PlaceListView, 
    SignUpView, 
    PlaceCreateView,
    PlaceUpdateView,
    PlaceDeleteView
)

urlpatterns = [
    path('', HomeView.as_view(), name='home'),
    path('signup/', SignUpView.as_view(), name='signup'),
    path('place/<int:pk>/', PlaceDetailView.as_view(), name='place_detail'),
    path('place/create/', PlaceCreateView.as_view(), name='place_create'),
    path('place/update/<int:pk>/', PlaceUpdateView.as_view(), name='place_edit'),
    path('place/delete/<int:pk>/', PlaceDeleteView.as_view(), name='place_delete'),
    path('place/', PlaceListView.as_view(), name='place_list')
]
